Loading...
Searching...
No Matches
_QuantumInfo Struct Reference

## Data Fields

size_t | depth
size_t | quantum
QuantumFormatType | format
double | minimum
double | maximum
double | scale
size_t | pad
MagickBooleanType | min_is_white
MagickBooleanType | pack
QuantumAlphaType | alpha_type
size_t | number_threads
MemoryInfo ** | pixels
size_t | extent
EndianType | endian
QuantumState | state
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 46 of file quantum-private.h.

## Field Documentation

## alpha_type

QuantumAlphaType _QuantumInfo::alpha_type

Definition at line 68 of file quantum-private.h.

## depth

size_t _QuantumInfo::depth

Definition at line 49 of file quantum-private.h.

## endian

EndianType _QuantumInfo::endian

Definition at line 80 of file quantum-private.h.

## extent

size_t _QuantumInfo::extent

Definition at line 77 of file quantum-private.h.

## format

QuantumFormatType _QuantumInfo::format

Definition at line 53 of file quantum-private.h.

## maximum

double _QuantumInfo::maximum

Definition at line 57 of file quantum-private.h.

## min_is_white

MagickBooleanType _QuantumInfo::min_is_white

Definition at line 64 of file quantum-private.h.

## minimum

double _QuantumInfo::minimum

Definition at line 56 of file quantum-private.h.

## number_threads

size_t _QuantumInfo::number_threads

Definition at line 71 of file quantum-private.h.

## pack

MagickBooleanType _QuantumInfo::pack

Definition at line 65 of file quantum-private.h.

## pad

size_t _QuantumInfo::pad

Definition at line 61 of file quantum-private.h.

## pixels

MemoryInfo** _QuantumInfo::pixels

Definition at line 74 of file quantum-private.h.

## quantum

size_t _QuantumInfo::quantum

Definition at line 50 of file quantum-private.h.

## scale

double _QuantumInfo::scale

Definition at line 58 of file quantum-private.h.

## semaphore

SemaphoreInfo* _QuantumInfo::semaphore

Definition at line 86 of file quantum-private.h.

## signature

size_t _QuantumInfo::signature

Definition at line 89 of file quantum-private.h.

## state

QuantumState _QuantumInfo::state

Definition at line 83 of file quantum-private.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/quantum-private.h